%define title GNUbiff

%{!?_licensedir:%global license %%doc}

Name:           gnubiff
Version:        2.2.17
Release:        6%{?dist}
Group:          Applications/Internet
#Group:          Networking/Mail
License:        GPLv3+
URL:            http://gnubiff.sourceforge.net/
#URL:            http://gnubiff.sf.net/
#Summary:        A mail notification program
Summary:        Mail notification program

Source0:        https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         gnubiff-2.2.15-linkage.patch
# https://sourceforge.net/p/gnubiff/patches/8/
Patch1:         gnubiff_2.2.17-panel_applet_inprocess.patch

BuildRequires:  autoconf
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
# https://fedoraproject.org/wiki/Packaging:C_and_C++#BuildRequires_and_Requires
BuildRequires:  gcc-c++
#BuildRequires:  gnome-panel-devel libpanelappletmm-devel
BuildRequires:  intltool
#BuildRequires:  libfam-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtool
BuildRequires:  perl(XML::Parser)
BuildRequires:  pkgconfig(gamin) >= 0.1.0
BuildRequires:  pkgconfig(gladeui-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.4
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(openssl)
%if !(0%{?rhel} && 0%{?rhel} <= 7)
BuildRequires:  pkgconfig(popt)
%else
BuildRequires:  popt-devel
%endif
BuildRequires:  rpm-build
BuildRequires:  sed
BuildRequires:  texinfo

Requires:       sox

%if !(0%{?rhel} && 0%{?rhel} <= 7)
Recommends:     xemacs
%else
Requires:       xemacs
%endif

Obsoletes:      %{name}-applet < 2.2.17

# https://fedoraproject.org/wiki/Packaging:Scriptlets
# https://fedoraproject.org/wiki/PackagingDrafts/ScriptletSnippets
#Requires(pretrans):     coreutils
#Requires(pre):          coreutils
Requires(post):         coreutils
Requires(preun):        coreutils
Requires(postun):       coreutils
Requires(posttrans):    coreutils
# gtk-update-icon-cache
#Requires(pretrans):     gtk-update-icon-cache
#Requires(pre):          gtk-update-icon-cache
Requires(post):         gtk-update-icon-cache
#Requires(preun):        gtk-update-icon-cache
Requires(postun):       gtk-update-icon-cache
Requires(posttrans):    gtk-update-icon-cache
# update-mime-database
#Requires(pretrans):     shared-mime-info
#Requires(pre):          shared-mime-info
#Requires(post):         shared-mime-info
#Requires(preun):        shared-mime-info
#Requires(postun):       shared-mime-info
#Requires(posttrans):    shared-mime-info
# update-desktop-database
#Requires(pretrans):     desktop-file-utils
#Requires(pre):          desktop-file-utils
#Requires(post):         desktop-file-utils
#Requires(preun):        desktop-file-utils
#Requires(postun):       desktop-file-utils
#Requires(posttrans):    desktop-file-utils
# glib-compile-schemas
#Requires(pretrans):     glib2
#Requires(pre):          glib2
#Requires(post):         glib2
#Requires(preun):        glib2
#Requires(postun):       glib2
#Requires(posttrans):    glib2
# ldconfig
#Requires(pretrans):     glibc
#Requires(pre):          glibc
#Requires(post):         glibc
#Requires(preun):        glibc
#Requires(postun):       glibc
#Requires(posttrans):    glibc
# install-info
#Requires(pretrans):     info
#Requires(pre):          info
Requires(post):         info
Requires(preun):        info
#Requires(postun):       info
#Requires(posttrans):    info


%description
Gnubiff is a mail notification program that periodically checks for mail
and displays headers and/or content when new mail has arrived.
Supported protocols are POP3, APOP, IMAP4, MH, Qmail, and Mail File.
Furthermore, gnubiff is fully configurable with a lot of options
like polltime, poptime, sounds, mail reader, mailbox title, etc.


%prep
%setup -q

#%%patch0 -p1
%patch1 -p1

%{__sed} -i -r 's/^(Icon=).*$/\1gnubiff/' "src/org.gnome.panel.applet.GnubiffApplet.panel-applet.in.in"

%{__cp} -p "%{_exec_prefix}/lib/rpm"/config.{guess,sub} "config/"


%build
autoreconf -vfi

%configure \
  --enable-maintainer-mode \
  --disable-rpath \
  --disable-gnome \
  --enable-expert \
  %{nil}

%make_build

for s in {16,32,48,64}; do
  %{__mkdir_p} "icons/${s}x${s}"
done

%{__cp} "art/gnubiff.png" "icons/48x48/gnubiff.png"
%{__cp} "art/tux-awake.png" "icons/64x64/gnubiff.png"

for s in {16,32}; do
  convert -geometry "${s}x${s}" "art/tux-awake.png" "icons/${s}x${s}/gnubiff.png"
done


%install
%make_install

%{__rm} -rf "%{buildroot}%{_infodir}/dir"

for s in {16,32,48,64}; do
  %{__install} -d "%{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps"
  %{__install} -p -m 0644 "icons/${s}x${s}/gnubiff.png" "%{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/gnubiff.png"
done

%{_bindir}/desktop-file-edit --set-key="StartupNotify" --set-value="true" "%{buildroot}/%{_datadir}/applications/%{name}.desktop"
%{_bindir}/desktop-file-edit --set-key="StartupWMClass" --set-value="gnubiff" "%{buildroot}/%{_datadir}/applications/%{name}.desktop"

%find_lang "%{name}"


%check
%{_bindir}/desktop-file-validate "%{buildroot}/%{_datadir}/applications/%{name}.desktop"


%post
/bin/touch --no-create "%{_datadir}/icons/hicolor" &> /dev/null || :
#/usr/bin/update-mime-database -n "%{_datadir}/mime" &> /dev/null || :
#/usr/bin/update-desktop-database &> /dev/null || :
/sbin/install-info "%{_infodir}/%{name}.info" "%{_infodir}/dir" &> /dev/null || :
#/sbin/ldconfig


%preun
if [[ "${1}" -eq "0" ]]; then
  /sbin/install-info --delete "%{_infodir}/%{name}.info" "%{_infodir}/dir" &> /dev/null || :
fi


%postun
#if [[ "${1}" -eq "0" ]] ; then
#  /usr/bin/glib-compile-schemas "%{_datadir}/glib-2.0/schemas" &> /dev/null || :
#fi
#/usr/bin/update-desktop-database &> /dev/null || :
if [[ "${1}" -eq "0" ]] ; then
  /bin/touch --no-create "%{_datadir}/icons/hicolor" &> /dev/null || :
  /usr/bin/gtk-update-icon-cache "%{_datadir}/icons/hicolor" &> /dev/null || :
  #/usr/bin/update-mime-database -n "%{_datadir}/mime" &> /dev/null || :
fi
#/sbin/ldconfig


%posttrans
#/usr/bin/glib-compile-schemas "%{_datadir}/glib-2.0/schemas" &> /dev/null || :
/usr/bin/gtk-update-icon-cache "%{_datadir}/icons/hicolor" &> /dev/null || :
#/usr/bin/update-mime-database -n %{_datadir}/mime &> /dev/null || :


%files -f "%{name}.lang"
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%license COPYING LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_infodir}/%{name}.info*
%{_mandir}/man1/%{name}*.*


%changelog
* Wed Oct 16 2019 Tomasz Tomasik <scx.mail@gmail.com> - 2.2.17-6
- Cleanup spec
- Add patches from Debian

* Fri Nov 02 2018 Tomasz Tomasik <scx.mail@gmail.com> - 2.2.17-5
- Add support for FC29
- Rebuilt for FC29

* Wed Nov 15 2017 Tomasz Tomasik <scx.mail@gmail.com> - 2.2.17-4
- SPEC file cleanups
- Update description
- Update requirements
- Rewrite build and install section
- Add post, postun and posttrans section
- Use license macro
- Add support for EL7
- Rebuilt for EL7

* Thu Mar 30 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> - 2.2.17-3
- (dfe177e) Fix locales install dir

